from pydantic import BaseModel, Field
from datetime import datetime


class CreateFuelingTask(BaseModel):
    VehicleId: str = Field(...)
    Description: str = Field(...)
    Date: datetime = Field(...)
    Cost: int = Field(...)
    FuelRefilled: int = Field(...)
    GasStationName: str = Field(...)
    ImageBefore: str = Field(...)
    ImageAfter: str = Field(...)